> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Agent Integration

> Link a travel agent account to the user's profile.



## OpenAPI

````yaml /openapi/freelance-internal-api.mintlify.json post /api/peterpans/agent/integration
openapi: 3.0.3
info:
  title: Freelance Travel App API Documentation
  description: >-
    API for the Freelance Travel App - managing users, products, cart, quotes,
    bookings, and agent integrations.
  version: 1.0.0
servers:
  - url: https://confirmation.freelancetravel.com
security:
  - default: []
tags:
  - name: Admin
    description: ''
  - name: Agent Integration
    description: |-

      APIs for managing travel agent integrations and upgrades
  - name: App Metadata
    description: ''
  - name: Authentication
    description: |-

      APIs for user authentication and account management
  - name: Caching
    description: ''
  - name: Cart & Quotes
    description: |-

      APIs for managing shopping cart items, quotes, and bookings
  - name: Discounts
    description: ''
  - name: Endpoints
    description: ''
  - name: Favourites
    description: ''
  - name: Products
    description: |-

      APIs for managing products and home feed
  - name: Redeemers
    description: ''
  - name: Shared Payments
    description: ''
  - name: System
    description: ''
paths:
  /api/peterpans/agent/integration:
    post:
      tags:
        - Agent Integration
      summary: Add Agent Integration
      description: Link a travel agent account to the user's profile.
      operationId: addAgentIntegration
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                username:
                  type: string
                  description: The agent's email/username.
                  example: agent@example.com
                password:
                  type: string
                  description: The agent's password.
                  example: secret123
              required:
                - username
                - password
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  status: success
                  message: Agent integrated
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Agent integrated
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  status: error
                  message: Agent already integrated
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Agent already integrated
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token</b>.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.